{% load i18n easy_thumbnails_tags cms_tags %}
<div class="col-lg-4">
    <div id="post-{{ post.slug }}" class="card card-small card-post mb-4">
       {% if image and post.main_image %}
           {% thumbnail post.main_image post.thumbnail_options.size crop=post.thumbnail_options.crop upscale=post.thumbnail_options.upscale subject_location=post.main_image.subject_location as thumb %}
           <img class="card-img-top" src="{{ thumb.url }}" alt="{{ post.main_image.default_alt_text }}" width="{{ thumb.width }}" height="{{ thumb.height }}" />
       {% endif %}  
       <div class="card-body">
           {% if post.categories.exists %}
           <div class="row">
               <div class="container">
                   <a href="{% url 'djangocms_blog:posts-category' category=post.categories.first.slug %}" class="blog-category card-post__category badge badge-pill badge-info float-right">{{ post.categories.first.name }}</a>            
               </div>
           </div>
           {% endif %}
           <h3 class="card-title"><a href="{{ post.get_absolute_url }}">{{ post.title }}</a></h3>
           {% if post.subtitle %}
           <h4 class="card-subtitle">{{ post.subtitle }}</h4>
           {% endif %}
           <div class="blog-lead mt-2">
               {% if not TRUNCWORDS_COUNT %}
                   {% render_model post "abstract" "" "" "safe" %}
               {% else %}
                   {% render_model post "abstract" "" "" "truncatewords_html:TRUNCWORDS_COUNT|safe"  %}
               {% endif %}
           </div>
       </div>
       <div class="card-footer border-top d-flex">
           <div class="card-post__author d-flex">
               <div class="d-flex flex-column justify-content-center">
                   {% if post.author %}<a href="{% url 'djangocms_blog:posts-author' post.author.get_username %}" class="card-post__author-name">{% if post.author.get_full_name %}{{ post.author.get_full_name }}{% else %}{{ post.author }}{% endif %}</a>{% endif %}
                   <small class="text-muted">{{ post.date_published|date:"DATE_FORMAT" }}</small>
               </div>
           </div>
           <div class="my-auto ml-auto">
               <a class="btn btn-outline-primary" href="{{ post.get_absolute_url }}">{% trans "read more" %} &raquo;</a>          
           </div>
       </div>        
   </div>
</div>